task KeepVar {
	File violation_merged_vcf
	File consistent_merged_vcf
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		python /opt/select_small_variants_supported_by_all_callsets.py -i ${violation_merged_vcf} -o violation.all.selected

		python /opt/select_small_variants_supported_by_all_callsets.py -i ${consistent_merged_vcf} -o consistent.all.selected
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File violation_keeped_vcf = "violation.all.selected.vcf"
		File violation_outlier_vcf = "violation.all.selected_outlier.vcf"
		File consistent_keeped_vcf = "consistent.all.selected.vcf"
		File consistent_outlier_vcf = "consistent.all.selected_outlier.vcf"
	}
}

